org.apache.tinkerpop.gremlin.process.traversal

## Interface TraversalStrategy.DecorationStrategy

- All Superinterfaces:
    Comparable<Class<? extends TraversalStrategy>>, Serializable, TraversalStrategy<TraversalStrategy.DecorationStrategy>
  All Known Implementing Classes:
    ConnectiveStrategy, ElementIdStrategy, EventStrategy, HaltedTraverserStrategy, OptionsStrategy, PartitionStrategy, RemoteStrategy, RequirementsStrategy, SackStrategy, SideEffectStrategy, SubgraphStrategy, TranslationStrategy, VertexProgramStrategy
  Enclosing interface:
    TraversalStrategy<S extends TraversalStrategy>

      public static interface TraversalStrategy.DecorationStrategy
      extends TraversalStrategy<TraversalStrategy.DecorationStrategy>

  Implemented by strategies that adds "application logic" to the traversal (e.g. `PartitionStrategy`).

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategy

      `TraversalStrategy.DecorationStrategy, TraversalStrategy.FinalizationStrategy, TraversalStrategy.OptimizationStrategy, TraversalStrategy.ProviderOptimizationStrategy, TraversalStrategy.VerificationStrategy`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategy

      `STRATEGY`

  - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default int` | `compareTo(Class<? extends TraversalStrategy> otherTraversalCategory)`
    `default Class<TraversalStrategy.DecorationStrategy>` | `getTraversalCategory()` The type of traversal strategy -- i.e.

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategy

      `apply, applyPost, applyPrior, getConfiguration`

- - ### Method Detail

    - #### getTraversalCategory

          default Class<TraversalStrategy.DecorationStrategy> getTraversalCategory()

      Description copied from interface: `TraversalStrategy`
      The type of traversal strategy -- i.e. `TraversalStrategy.DecorationStrategy`, `TraversalStrategy.OptimizationStrategy`, `TraversalStrategy.FinalizationStrategy`, or `TraversalStrategy.VerificationStrategy`.
      Specified by:
        `getTraversalCategory` in interface `TraversalStrategy<TraversalStrategy.DecorationStrategy>`
      Returns:
        the traversal strategy category class

    - #### compareTo

          default int compareTo(Class<? extends TraversalStrategy> otherTraversalCategory)

      Specified by:
        `compareTo` in interface `Comparable<Class<? extends TraversalStrategy>>`
      Specified by:
        `compareTo` in interface `TraversalStrategy<TraversalStrategy.DecorationStrategy>`

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.